Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementsetattributenodenomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementsetattributenodenomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setAttributeNode(newAttr)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Try to remove the "domestic" attribute from the entity reference by executing the "setAttributeNode(newAttr)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-887236154 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-887236154')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-887236154

Definition at line 49 of file elementsetattributenodenomodificationallowederr.java.

## Constructor & Destructor Documentation

elementsetattributenodenomodificationallowederr::elementsetattributenodenomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementsetattributenodenomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String elementsetattributenodenomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 90 of file elementsetattributenodenomodificationallowederr.java.
    00090                                 {
    00091       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementsetattributenodenomodificationallowederr";
    00092    }

void elementsetattributenodenomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 93 of file elementsetattributenodenomodificationallowederr.java. References DOMTestCase::doMain().
    00093                                           {
    00094         DOMTestCase.doMain(elementsetattributenodenomodificationallowederr.class,args);
    00095    }

void elementsetattributenodenomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file elementsetattributenodenomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       EntityReference entRef;
    00067       Element entElement;
    00068       Attr newAttr;
    00069       Attr badAttr;
    00070       doc = load("staff");
    00071       genderList = doc.getElementsByTagName("gender");
    00072       gender = genderList.item(2);
    00073       entRef = (EntityReference)gender.getFirstChild();
    00074       entElement = (Element)entRef.getFirstChild();
    00075       newAttr = doc.createAttribute("newAttr");
    00076
    00077         {
    00078                 boolean success = false;
    00079                 try {
    00080                         badAttr = entElement.setAttributeNode(newAttr);
    00081
    00082                 }
    00083                 catch(DOMException ex) {
    00084                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00085                 }
    00086                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00087         }
    00088
    00089    }

The documentation for this class was generated from the following file:

- elementsetattributenodenomodificationallowederr.java